packages/utils/pciutils/patches/102-compressed-ids.patch
swalker e44862284f [packages] pciutils: Revert r19252's postinst changes, make $DEST a relative path
git-svn-id: svn://svn.openwrt.org/openwrt/packages@19255 3c298f89-4303-0410-b956-a3cf2f4a3e73
2010-01-21 12:58:33 +00:00

32 lines
900 B
Diff

--- a/update-pciids.sh
+++ b/update-pciids.sh
@@ -6,9 +6,8 @@ set -e
SRC="http://pciids.sourceforge.net/v2.2/pci.ids"
DEST=pci.ids
PCI_COMPRESSED_IDS=
-GREP=grep
-# if pci.ids is read-only (because the filesystem is read-only),
+# if pci.ids.gz is read-only (because the filesystem is read-only),
# then just skip this whole process.
if ! touch ${DEST} >/dev/null 2>&1 ; then
${quiet} || echo "${DEST} is read-only, exiting." 1>&2
@@ -18,7 +17,7 @@ fi
if [ -n "$PCI_COMPRESSED_IDS" ] ; then
DECOMP="cat"
SRC="$SRC.gz"
- GREP=zgrep
+ DEST="$DEST.gz"
elif which bzip2 >/dev/null 2>&1 ; then
DECOMP="bzip2 -d"
SRC="$SRC.bz2"
@@ -53,7 +52,7 @@ if ! $DECOMP <$DEST.new >$DEST.neww ; th
exit 1
fi
-if ! $GREP >/dev/null "^C " $DEST.neww ; then
+if ! zcat $DEST.neww | grep >/dev/null "^C " ; then
echo >&2 "update-pciids: missing class info, probably truncated file"
exit 1
fi